##### 7.5.3.0. PBW_maxMonom

Procedure from library `central.lib` (see central_lib).

Usage:
  PBW_maxMonom(m); m poly

Purpose:
  Compute PBW elements up to a given maximal one.

Return:
  ideal consisting of found elements.

Note:
  Unit is omitted. Weights are ignored!

Example:

    LIB "central.lib";
    ring AA = 0,(e,f,h),dp;
    matrix D[3][3]=0;
    D[1,2]=-h;  D[1,3]=2*e;  D[2,3]=-2*f;
    def A = nc_algebra(1,D); // this algebra is U(sl_2)
    setring A;
    // At most 1st degree in e, h and at most 2nd degree in f, unit is omitted:
    PBW_maxMonom( e*(f^2)* h );
    ==> _[1]=e
    ==> _[2]=f
    ==> _[3]=ef
    ==> _[4]=f2
    ==> _[5]=ef2
    ==> _[6]=h
    ==> _[7]=eh
    ==> _[8]=fh
    ==> _[9]=efh
    ==> _[10]=f2h
    ==> _[11]=ef2h

User manual for Singular version 4.4.1, 2025, generated by texi2html.